<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b448cd69-521a-4d73-a9ad-9c29ce2c7984" name="Default" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/code$framework_demo.coverage" NAME="framework_demo Coverage Results" MODIFIED="1583614361032" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="framework_demo.py" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/framework_demo.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2250">
              <caret line="178" lean-forward="true" selection-start-line="178" selection-end-line="178" />
              <folding>
                <element signature="e#0#19#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ML_Preparation.ipynb" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/ML_Preparation.ipynb">
          <provider selected="true" editor-type-id="ipnb-editor">
            <state>
              <selected id="3" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Demo.ipynb" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Demo.ipynb">
          <provider selected="true" editor-type-id="ipnb-editor">
            <state>
              <selected id="5" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/framework_demo.py" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="1440" />
    <option name="y" value="-9" />
    <option name="width" value="1920" />
    <option name="height" value="999" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="code" type="b2602c69:ProjectViewProjectNode" />
              <item name="code" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="framework_demo" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="code" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/framework_demo.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Python.framework_demo" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b448cd69-521a-4d73-a9ad-9c29ce2c7984" name="Default" comment="" />
      <created>1583528884472</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1583528884472</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="1440" y="-9" width="1920" height="999" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info active="true" anchor="bottom" id="Event Log" order="7" side_tool="true" visible="true" weight="0.32972974" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32972974" />
      <window_info anchor="bottom" id="Version Control" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Python Console" order="7" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.178125" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="right" id="SciView" order="3" weight="0.3296875" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/framework_demo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2250">
          <caret line="161" column="14" lean-forward="true" selection-start-line="161" selection-start-column="14" selection-end-line="161" selection-end-column="14" />
          <folding>
            <element signature="e#0#19#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ML_Preparation.ipynb">
      <provider selected="true" editor-type-id="ipnb-editor">
        <state>
          <selected id="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Demo.ipynb">
      <provider selected="true" editor-type-id="ipnb-editor">
        <state>
          <selected id="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/framework_demo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" column="28" lean-forward="true" selection-start-line="15" selection-start-column="28" selection-end-line="15" selection-end-column="28" />
          <folding>
            <element signature="e#0#19#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ML_Preparation.ipynb">
      <provider selected="true" editor-type-id="ipnb-editor">
        <state>
          <selected id="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Demo.ipynb">
      <provider selected="true" editor-type-id="ipnb-editor">
        <state>
          <selected id="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/framework_demo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="34" column="44" lean-forward="true" selection-start-line="34" selection-start-column="44" selection-end-line="34" selection-end-column="44" />
          <folding>
            <element signature="e#0#19#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Demo.ipynb">
      <provider selected="true" editor-type-id="ipnb-editor">
        <state>
          <selected id="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ML_Preparation.ipynb">
      <provider selected="true" editor-type-id="ipnb-editor">
        <state>
          <selected id="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Demo.ipynb">
      <provider selected="true" editor-type-id="ipnb-editor">
        <state>
          <selected id="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/framework_demo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2250">
          <caret line="178" lean-forward="true" selection-start-line="178" selection-end-line="178" />
          <folding>
            <element signature="e#0#19#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>